package com.secspace.lib.common.arouter.libtheme;

import android.graphics.drawable.Drawable;

import com.alibaba.android.arouter.facade.template.IProvider;

/**
 * Created by cyw_m on 2018/4/24.
 */

public interface IThemeApi extends IProvider {
    /**
     * 加载主题包
     */
    void load();

    /**
     * 主题中的icon
     *
     * @param packageName
     * @return
     */
    Drawable getDrawable(String packageName);

    /**
     * 主题中的背景图
     *
     * @return
     */
    Drawable getBg();


}
